#ifndef _CONFIG_H_
#define _CONFIG_H_

#include "stm32f10x.h"

#define USE_INT
#define DEBUG_MSG
//#define USE_HW_RESET

#define BUF_SIZE	1024
#define  SPI_ESC_CHAR               			(0xFB)    /* Start transmission indication */
#define  SPI_IDLE_CHAR              		(0xF5)    /* synchronous IDLE */
#define  SPI_XOFF_CHAR              		(0xFA)    /* Stop transmission indication */
#define  SPI_XON_CHAR               		(0xFD)    /* Start transmission indication */      
#define  SPI_INVALID_CHAR_ALL_ONE   	(0xFF)    /* Invalid character possibly recieved during reboot */
#define  SPI_INVALID_CHAR_ALL_ZERO  	(0x00)    /* Invalid character possibly recieved during reboot */
#define  SPI_LINK_READY             		(0xF3)    /* SPI link ready */



//=================================================
// Port define 

// Port A
#define USART1_TX		GPIO_Pin_9	// out
#define USART1_RX		GPIO_Pin_10	// in 


//Port B

#define PB10				GPIO_Pin_10	// 
#define PB11				GPIO_Pin_11	// 
#define SPI2_nSS			GPIO_Pin_12	// 
#define SPI2_SCK			GPIO_Pin_13	// 
#define SPI2_MISO		GPIO_Pin_14	// 
#define SPI2_MOSI		GPIO_Pin_15	// 





//=================================================

#define ON	1
#define OFF	0

#define HIGH		1
#define LOW		0

#define __GNUC__

// SRAM address range is 0x2000 0000 ~ 0x2000 4FFF (20KB)


#endif

